<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
    xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="registroList">
        <pm:header>
            Lista de Pallet
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos}  -->  Registro #{palletMB.registroSeleccionado.numero}">
                <h:form id="editForm"> 
                    <h:panelGrid columns="3" >
                        <p:outputLabel for="id1" value="Id: "  style="font-weight: bold"/>
                        <p:inputText id="id1" value="#{detalleMB.pallet.id}" style="width: 350px" readonly="true"/>
                        <p:outputLabel   value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="ctarima1" value="C. Tarima: "  style="font-weight: bold"/>
                        <p:inputText id="ctarima1" value="#{detalleMB.pallet.tarima}" style="width: 350px" readonly="true"/>
                        <p:outputLabel   value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="cmarca1" value="C. Marca: "  style="font-weight: bold"/>
                        <p:inputText id="cmarca1" value="#{detalleMB.pallet.marca}" style="width: 350px" readonly="true"/>
                        <p:outputLabel value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="id_11" value=""/>
                        <p:inputText id="id_11" value="#{detalleMB.pallet.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                    </h:panelGrid> 
                    <p:button value="Nuevo" outcome="#{palletMB.seleccionNuevoMobile()}"/>
                    
                    
                    <p:scrollPanel mode="native" style="width:99%;height:500px">
                        <p:dataList id="datalist" value="#{detalleMB.detalle}"
                                    var="registros" pt:data-filter="true"
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{detalleeditMB.seleccionPalletDetalleD(registros,detalleMB.pallet.tarima,detalleMB.pallet.marca)}"  >
                                <f:setPropertyActionListener    
                                    value="#{registros}" target="#{detalleeditMB.editar}"/>
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id}[ #{registros.calibre} /  #{registros.calidad}  ]- #{registros.cdi} # #{registros.cajas}"/> 
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                    <p:button value="Cancelar" outcome="./operador.xhtml"  style="width:100%;height:35px;font-weight: bold;margin-right:30px;" />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
    <pm:page id="registroEditar">
        <pm:header>
            Edición de detalle Pallet
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel id="regEdicion01" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos}  -->  Registro #{palletMB.registroSeleccionado.numero}">
                    <h:panelGrid columns="3" > 
                        <p:outputLabel for="ctarima21" value="C. Tarima: "  style="font-weight: bold"/>
                        <p:inputText id="ctarima21" value="#{detalleeditMB.editar.tarima}" style="width: 350px" readonly="true"/>
                        <p:outputLabel   value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="cmarca21" value="C. Marca: "  style="font-weight: bold"/>
                        <p:inputText id="cmarca21" value="#{detalleeditMB.editar.marca}" style="width: 350px" readonly="true"/>
                        <p:outputLabel value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="id002_" value=""/>
                        <p:inputText id="id002_" value="#{detalleeditMB.editar.idtarima}" type="hidden" /> 
                        <p:outputLabel value=""/> 
                    </h:panelGrid>
                </p:panel>
            </h:form>
        </pm:content> 
    </pm:page>
</h:body>
</html>